Package org.bgerp.plugin.pln.callboard.model

# Class WorkTypeTime

java.lang.Object
org.bgerp.plugin.pln.callboard.model.WorkTypeTime

public class WorkTypeTime extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkTypeTime()`
  `WorkTypeTime(boolean isDynamic, int workTypeId, int timeFrom, int timeTo, String comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final List<WorkTypeTime>`
  `createFromString(String config)`
  `String`
  `getComment()`
  `int`
  `getDayMinuteFrom()`
  `int`
  `getDayMinuteTo()`
  `String`
  `getFormatedTimeFrom()`
  `String`
  `getFormatedTimeTo()`
  `boolean`
  `getIsDynamic()`
  `int`
  `getMinutesInDay(WorkType type, Date dateStart, Date inDate, boolean onlyWork)`
  `static int`
  `getWorkMinutesInDay(List<WorkTypeTime> workTypeTimeList, Date dateStart, Date inDate)`
  `int`
  `getWorkMinutesInDay(WorkType type, Date dateStart, Date inDate)`
  `int`
  `getWorkTypeId()`
  `boolean`
  `isDynamic()`
  `static final String`
  `minutesToHourMin(int minutes)`
  `void`
  `setComment(String comment)`
  `void`
  `setDayMinuteFrom(int timeFrom)`
  `void`
  `setDayMinuteTo(int timeTo)`
  `void`
  `setDynamic(boolean isDynamic)`
  `static final void`
  `setNextDays(List<WorkTypeTime> workTimes)`
  `void`
  `setWorkTypeId(int workTypeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkTypeTime

    public WorkTypeTime()

  - ### WorkTypeTime

    public WorkTypeTime(boolean isDynamic, int workTypeId, int timeFrom, int timeTo, String comment)

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getWorkTypeId

    public int getWorkTypeId()

  - ### setWorkTypeId

    public void setWorkTypeId(int workTypeId)

  - ### getDayMinuteFrom

    public int getDayMinuteFrom()

  - ### setDayMinuteFrom

    public void setDayMinuteFrom(int timeFrom)

  - ### getDayMinuteTo

    public int getDayMinuteTo()

  - ### setDayMinuteTo

    public void setDayMinuteTo(int timeTo)

  - ### minutesToHourMin

    public static final String minutesToHourMin(int minutes)

  - ### getFormatedTimeFrom

    public String getFormatedTimeFrom()

  - ### getFormatedTimeTo

    public String getFormatedTimeTo()

  - ### isDynamic

    public boolean isDynamic()

  - ### getIsDynamic

    public boolean getIsDynamic()

  - ### setDynamic

    public void setDynamic(boolean isDynamic)

  - ### createFromString

    public static final List<WorkTypeTime> createFromString(String config)

  - ### setNextDays

    public static final void setNextDays(List<WorkTypeTime> workTimes)

  - ### getWorkMinutesInDay

    public int getWorkMinutesInDay(WorkType type, Date dateStart, Date inDate)

  - ### getMinutesInDay

    public int getMinutesInDay(WorkType type, Date dateStart, Date inDate, boolean onlyWork)

  - ### getWorkMinutesInDay

    public static int getWorkMinutesInDay(List<WorkTypeTime> workTypeTimeList, Date dateStart, Date inDate)